SDL_FilterEvents(3)

NAME
SDL_FilterEvents - Run a specific filter function on the current event queue, removing any events for which the filter returns false.

SYNOPSIS
#include <SDL3/SDL_events.h>

void SDL_FilterEvents(SDL_EventFilter filter, void *userdata);

DESCRIPTION
See SDL_SetEventFilter() for more information. Unlike SDL_SetEventFilter(), this function does not change the filter permanently, it only uses the supplied filter until this function returns.

FUNCTION PARAMETERS

filter
    the SDL_EventFilter function to call when an event happens.

userdata
    a pointer that is passed to filter.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetEventFilter(3), SDL_SetEventFilter(3)